Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.commons.core.v3
Class ResidentialAddressResponseType

    java.lang.Object
      be.fgov.ehealth.consultrn.commons.core.v3.WhereResponseType
          be.fgov.ehealth.consultrn.commons.core.v3.ResidentialAddressResponseType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:38:57+02:00",
               comments="JAXB RI v2.2.11")
    public class ResidentialAddressResponseType

extends WhereResponseType
implements Serializable

Residential address of a person

Java class for ResidentialAddressResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResidentialAddressResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereResponseType">
           <sequence>
             <element name="PostalCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StreetCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StreetName" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}NameType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="HouseNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="BoxNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ResidentialAddressResponseType()`

Method Summary
`String` | `getBoxNumber()` Gets the value of the boxNumber property.
`String` | `getHouseNumber()` Gets the value of the houseNumber property.
`String` | `getPostalCode()` Gets the value of the postalCode property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`String` | `getStreetCode()` Gets the value of the streetCode property.
`List<NameType>` | `getStreetNames()` Gets the value of the streetNames property.
`void` | `setBoxNumber(String value)` Sets the value of the boxNumber property.
`void` | `setHouseNumber(String value)` Sets the value of the houseNumber property.
`void` | `setPostalCode(String value)` Sets the value of the postalCode property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.
`void` | `setStreetCode(String value)` Sets the value of the streetCode property.

Methods inherited from class be.fgov.ehealth.consultrn.commons.core.v3.WhereResponseType
`getCityCode, getCityNames, getCountryCode, getCountryNames, setCityCode, setCountryCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResidentialAddressResponseType

    public ResidentialAddressResponseType()

Method Detail

### getPostalCode

    public String getPostalCode()

  Gets the value of the postalCode property.

  Returns:
    possible object is `String`

### setPostalCode

    public void setPostalCode(String value)

  Sets the value of the postalCode property.

  Parameters:
    `value` - allowed object is `String`

### getStreetCode

    public String getStreetCode()

  Gets the value of the streetCode property.

  Returns:
    possible object is `String`

### setStreetCode

    public void setStreetCode(String value)

  Sets the value of the streetCode property.

  Parameters:
    `value` - allowed object is `String`

### getStreetNames

    public List<NameType> getStreetNames()

  Gets the value of the streetNames property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the streetNames property.

  For example, to add a new item, do as follows:

          getStreetNames().add(newItem);

  Objects of the following type(s) are allowed in the list `NameType`

### getHouseNumber

    public String getHouseNumber()

  Gets the value of the houseNumber property.

  Returns:
    possible object is `String`

### setHouseNumber

    public void setHouseNumber(String value)

  Sets the value of the houseNumber property.

  Parameters:
    `value` - allowed object is `String`

### getBoxNumber

    public String getBoxNumber()

  Gets the value of the boxNumber property.

  Returns:
    possible object is `String`

### setBoxNumber

    public void setBoxNumber(String value)

  Sets the value of the boxNumber property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.